ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
MemoryUtils.h File Reference
`#include "ZenLib/Conf.h"`
`#include <cstring>`

Go to the source code of this file.

## Namespaces
| ZenLib

## Macros
#define | malloc_Aligned128
#define | free_Aligned128
#define | memcpy_Unaligned_Unaligned memcpy
#define | memcpy_Aligned128_Unaligned memcpy
#define | memcpy_Unaligned_Aligned128 memcpy
#define | memcpy_Aligned128_Aligned128 memcpy
#define | memcpy_Unaligned_Unaligned_Once128 memcpy
#define | memcpy_Aligned128_Aligned128_Once128 memcpy
#define | memcpy_Unaligned_Unaligned_Once1024 memcpy
#define | memcpy_Aligned128_Aligned128_Once1024 memcpy
#define | memcpy_Unaligned_Aligned128_Size128 memcpy
#define | memcpy_Aligned128_Aligned128_Size128 memcpy

## Macro Definition Documentation

#define free_Aligned128

Value:
(ptr) \
free (ptr)

#define malloc_Aligned128

Value:
(size) \
malloc (size)

#define memcpy_Aligned128_Aligned128 memcpy

#define memcpy_Aligned128_Aligned128_Once1024 memcpy

#define memcpy_Aligned128_Aligned128_Once128 memcpy

#define memcpy_Aligned128_Aligned128_Size128 memcpy

#define memcpy_Aligned128_Unaligned memcpy

#define memcpy_Unaligned_Aligned128 memcpy

#define memcpy_Unaligned_Aligned128_Size128 memcpy

#define memcpy_Unaligned_Unaligned memcpy

#define memcpy_Unaligned_Unaligned_Once1024 memcpy

#define memcpy_Unaligned_Unaligned_Once128 memcpy